diff --git a/guava/src/com/google/common/collect/LinkedHashMultimap.java b/guava/src/com/google/common/collect/LinkedHashMultimap.java
index b4d2ab9..77b4b92 100644
--- a/guava/src/com/google/common/collect/LinkedHashMultimap.java
+++ b/guava/src/com/google/common/collect/LinkedHashMultimap.java
@@ -19,14 +19,8 @@ package com.google.common.collect;
 import static com.google.common.base.Preconditions.checkNotNull;
 import static com.google.common.base.Preconditions.checkState;
 import static com.google.common.collect.CollectPreconditions.checkNonnegative;
-import static java.util.Objects.requireNonNull;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.annotations.VisibleForTesting;
 import com.google.common.base.Objects;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
-import com.google.j2objc.annotations.WeakOuter;
 import java.io.IOException;
 import java.io.ObjectInputStream;
 import java.io.ObjectOutputStream;
@@ -42,7 +36,6 @@ import java.util.Spliterator;
 import java.util.Spliterators;
 import java.util.function.Consumer;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Implementation of {@code Multimap} that does not allow duplicate key-value entries and that
@@ -83,13 +76,12 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Louis Wasserman
  * @since 2.0
  */
-@GwtCompatible(serializable = true, emulated = true)
 @ElementTypesAreNonnullByDefault
-public final class LinkedHashMultimap<K extends @Nullable Object, V extends @Nullable Object>
+public final class LinkedHashMultimap<K extends Object, V extends Object>
     extends LinkedHashMultimapGwtSerializationDependencies<K, V> {
 
   /** Creates a new, empty {@code LinkedHashMultimap} with the default initial capacities. */
-  public static <K extends @Nullable Object, V extends @Nullable Object>
+  public static <K extends Object, V extends Object>
       LinkedHashMultimap<K, V> create() {
     return new LinkedHashMultimap<>(DEFAULT_KEY_CAPACITY, DEFAULT_VALUE_SET_CAPACITY);
   }
@@ -103,7 +95,7 @@ public final class LinkedHashMultimap<K extends @Nullable Object, V extends @Nul
    * @throws IllegalArgumentException if {@code expectedKeys} or {@code expectedValuesPerKey} is
    *     negative
    */
-  public static <K extends @Nullable Object, V extends @Nullable Object>
+  public static <K extends Object, V extends Object>
       LinkedHashMultimap<K, V> create(int expectedKeys, int expectedValuesPerKey) {
     return new LinkedHashMultimap<>(
         Maps.capacity(expectedKeys), Maps.capacity(expectedValuesPerKey));
@@ -117,14 +109,14 @@ public final class LinkedHashMultimap<K extends @Nullable Object, V extends @Nul
    *
    * @param multimap the multimap whose contents are copied to this multimap
    */
-  public static <K extends @Nullable Object, V extends @Nullable Object>
+  public static <K extends Object, V extends Object>
       LinkedHashMultimap<K, V> create(Multimap<? extends K, ? extends V> multimap) {
     LinkedHashMultimap<K, V> result = create(multimap.keySet().size(), DEFAULT_VALUE_SET_CAPACITY);
     result.putAll(multimap);
     return result;
   }
 
-  private interface ValueSetLink<K extends @Nullable Object, V extends @Nullable Object> {
+  private interface ValueSetLink<K extends Object, V extends Object> {
     ValueSetLink<K, V> getPredecessorInValueSet();
 
     ValueSetLink<K, V> getSuccessorInValueSet();
@@ -134,24 +126,24 @@ public final class LinkedHashMultimap<K extends @Nullable Object, V extends @Nul
     void setSuccessorInValueSet(ValueSetLink<K, V> entry);
   }
 
-  private static <K extends @Nullable Object, V extends @Nullable Object> void succeedsInValueSet(
+  private static <K extends Object, V extends Object> void succeedsInValueSet(
       ValueSetLink<K, V> pred, ValueSetLink<K, V> succ) {
     pred.setSuccessorInValueSet(succ);
     succ.setPredecessorInValueSet(pred);
   }
 
-  private static <K extends @Nullable Object, V extends @Nullable Object> void succeedsInMultimap(
+  private static <K extends Object, V extends Object> void succeedsInMultimap(
       ValueEntry<K, V> pred, ValueEntry<K, V> succ) {
     pred.setSuccessorInMultimap(succ);
     succ.setPredecessorInMultimap(pred);
   }
 
-  private static <K extends @Nullable Object, V extends @Nullable Object> void deleteFromValueSet(
+  private static <K extends Object, V extends Object> void deleteFromValueSet(
       ValueSetLink<K, V> entry) {
     succeedsInValueSet(entry.getPredecessorInValueSet(), entry.getSuccessorInValueSet());
   }
 
-  private static <K extends @Nullable Object, V extends @Nullable Object> void deleteFromMultimap(
+  private static <K extends Object, V extends Object> void deleteFromMultimap(
       ValueEntry<K, V> entry) {
     succeedsInMultimap(entry.getPredecessorInMultimap(), entry.getSuccessorInMultimap());
   }
@@ -162,8 +154,7 @@ public final class LinkedHashMultimap<K extends @Nullable Object, V extends @Nul
    * entries in that {@code Set<V>}, and the linked list of entries in the LinkedHashMultimap as a
    * whole.
    */
-  @VisibleForTesting
-  static final class ValueEntry<K extends @Nullable Object, V extends @Nullable Object>
+  static final class ValueEntry<K extends Object, V extends Object>
       extends ImmutableEntry<K, V> implements ValueSetLink<K, V> {
     final int smearedValueHash;
 
@@ -210,7 +201,7 @@ public final class LinkedHashMultimap<K extends @Nullable Object, V extends @Nul
     }
 
     @SuppressWarnings("nullness") // see the comment on the class fields, especially about newHeader
-    static <K extends @Nullable Object, V extends @Nullable Object> ValueEntry<K, V> newHeader() {
+    static <K extends Object, V extends Object> ValueEntry<K, V> newHeader() {
       return new ValueEntry<>(null, null, 0, null);
     }
 
@@ -257,9 +248,9 @@ public final class LinkedHashMultimap<K extends @Nullable Object, V extends @Nul
 
   private static final int DEFAULT_KEY_CAPACITY = 16;
   private static final int DEFAULT_VALUE_SET_CAPACITY = 2;
-  @VisibleForTesting static final double VALUE_SET_LOAD_FACTOR = 1.0;
+  static final double VALUE_SET_LOAD_FACTOR = 1.0;
 
-  @VisibleForTesting transient int valueSetCapacity = DEFAULT_VALUE_SET_CAPACITY;
+  transient int valueSetCapacity = DEFAULT_VALUE_SET_CAPACITY;
   private transient ValueEntry<K, V> multimapHeaderEntry;
 
   private LinkedHashMultimap(int keyCapacity, int valueSetCapacity) {
@@ -304,7 +295,6 @@ public final class LinkedHashMultimap<K extends @Nullable Object, V extends @Nul
    * the {@code keySet()} ordering is unchanged. However, the provided values always come last in
    * the {@link #entries()} and {@link #values()} iteration orderings.
    */
-  @CanIgnoreReturnValue
   @Override
   public Set<V> replaceValues(@ParametricNullness K key, Iterable<? extends V> values) {
     return super.replaceValues(key, values);
@@ -353,8 +343,6 @@ public final class LinkedHashMultimap<K extends @Nullable Object, V extends @Nul
     return super.values();
   }
 
-  @VisibleForTesting
-  @WeakOuter
   final class ValueSet extends Sets.ImprovedAbstractSet<V> implements ValueSetLink<K, V> {
     /*
      * We currently use a fixed load factor of 1.0, a bit higher than normal to reduce memory
@@ -362,7 +350,7 @@ public final class LinkedHashMultimap<K extends @Nullable Object, V extends @Nul
      */
 
     @ParametricNullness private final K key;
-    @VisibleForTesting @Nullable ValueEntry<K, V>[] hashTable;
+    ValueEntry<K, V>[] hashTable;
     private int size = 0;
     private int modCount = 0;
 
@@ -379,8 +367,7 @@ public final class LinkedHashMultimap<K extends @Nullable Object, V extends @Nul
       int tableSize = Hashing.closedTableSize(expectedValues, VALUE_SET_LOAD_FACTOR);
 
       @SuppressWarnings({"rawtypes", "unchecked"})
-      @Nullable
-      ValueEntry<K, V>[] hashTable = new @Nullable ValueEntry[tableSize];
+      ValueEntry<K, V>[] hashTable = new ValueEntry[tableSize];
       this.hashTable = hashTable;
     }
 
@@ -519,7 +506,6 @@ public final class LinkedHashMultimap<K extends @Nullable Object, V extends @Nul
       }
     }
 
-    @CanIgnoreReturnValue
     @Override
     public boolean remove(@CheckForNull Object o) {
       int smearedHash = Hashing.smearedHash(o);
@@ -616,7 +602,7 @@ public final class LinkedHashMultimap<K extends @Nullable Object, V extends @Nul
    * @serialData the expected values per key, the number of distinct keys, the number of entries,
    *     and the entries in order
    */
-  @GwtIncompatible // java.io.ObjectOutputStream
+  // java.io.ObjectOutputStream
   private void writeObject(ObjectOutputStream stream) throws IOException {
     stream.defaultWriteObject();
     stream.writeInt(keySet().size());
@@ -630,7 +616,7 @@ public final class LinkedHashMultimap<K extends @Nullable Object, V extends @Nul
     }
   }
 
-  @GwtIncompatible // java.io.ObjectInputStream
+  // java.io.ObjectInputStream
   private void readObject(ObjectInputStream stream) throws IOException, ClassNotFoundException {
     stream.defaultReadObject();
     multimapHeaderEntry = ValueEntry.newHeader();
@@ -658,6 +644,6 @@ public final class LinkedHashMultimap<K extends @Nullable Object, V extends @Nul
     setMap(map);
   }
 
-  @GwtIncompatible // java serialization not supported
+  // java serialization not supported
   private static final long serialVersionUID = 1;
 }
diff --git a/guava/src/com/google/common/collect/LinkedHashMultimapGwtSerializationDependencies.java b/guava/src/com/google/common/collect/LinkedHashMultimapGwtSerializationDependencies.java
index bb4a2e4..994ff54 100644
--- a/guava/src/com/google/common/collect/LinkedHashMultimapGwtSerializationDependencies.java
+++ b/guava/src/com/google/common/collect/LinkedHashMultimapGwtSerializationDependencies.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Collection;
 import java.util.Map;
 
@@ -29,7 +28,6 @@ import java.util.Map;
  *
  * <p>TODO(cpovirk): Consider applying this subclass approach to our other types.
  */
-@GwtCompatible(emulated = true)
 abstract class LinkedHashMultimapGwtSerializationDependencies<K, V>
     extends AbstractSetMultimap<K, V> {
   LinkedHashMultimapGwtSerializationDependencies(Map<K, Collection<V>> map) {
diff --git a/guava/src/com/google/common/collect/LinkedHashMultiset.java b/guava/src/com/google/common/collect/LinkedHashMultiset.java
index 13f70a7..a978527 100644
--- a/guava/src/com/google/common/collect/LinkedHashMultiset.java
+++ b/guava/src/com/google/common/collect/LinkedHashMultiset.java
@@ -16,13 +16,10 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import java.io.IOException;
 import java.io.ObjectInputStream;
 import java.io.ObjectOutputStream;
 import java.util.LinkedHashMap;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A {@code Multiset} implementation with predictable iteration order. Its iterator orders elements
@@ -39,13 +36,12 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Jared Levy
  * @since 2.0
  */
-@GwtCompatible(serializable = true, emulated = true)
 @ElementTypesAreNonnullByDefault
-public final class LinkedHashMultiset<E extends @Nullable Object>
+public final class LinkedHashMultiset<E extends Object>
     extends AbstractMapBasedMultiset<E> {
 
   /** Creates a new, empty {@code LinkedHashMultiset} using the default initial capacity. */
-  public static <E extends @Nullable Object> LinkedHashMultiset<E> create() {
+  public static <E extends Object> LinkedHashMultiset<E> create() {
     return new LinkedHashMultiset<E>();
   }
 
@@ -56,7 +52,7 @@ public final class LinkedHashMultiset<E extends @Nullable Object>
    * @param distinctElements the expected number of distinct elements
    * @throws IllegalArgumentException if {@code distinctElements} is negative
    */
-  public static <E extends @Nullable Object> LinkedHashMultiset<E> create(int distinctElements) {
+  public static <E extends Object> LinkedHashMultiset<E> create(int distinctElements) {
     return new LinkedHashMultiset<E>(distinctElements);
   }
 
@@ -67,7 +63,7 @@ public final class LinkedHashMultiset<E extends @Nullable Object>
    *
    * @param elements the elements that the multiset should contain
    */
-  public static <E extends @Nullable Object> LinkedHashMultiset<E> create(
+  public static <E extends Object> LinkedHashMultiset<E> create(
       Iterable<? extends E> elements) {
     LinkedHashMultiset<E> multiset = create(Multisets.inferDistinctElements(elements));
     Iterables.addAll(multiset, elements);
@@ -86,13 +82,13 @@ public final class LinkedHashMultiset<E extends @Nullable Object>
    * @serialData the number of distinct elements, the first element, its count, the second element,
    *     its count, and so on
    */
-  @GwtIncompatible // java.io.ObjectOutputStream
+  // java.io.ObjectOutputStream
   private void writeObject(ObjectOutputStream stream) throws IOException {
     stream.defaultWriteObject();
     Serialization.writeMultiset(this, stream);
   }
 
-  @GwtIncompatible // java.io.ObjectInputStream
+  // java.io.ObjectInputStream
   private void readObject(ObjectInputStream stream) throws IOException, ClassNotFoundException {
     stream.defaultReadObject();
     int distinctElements = Serialization.readCount(stream);
@@ -100,6 +96,6 @@ public final class LinkedHashMultiset<E extends @Nullable Object>
     Serialization.populateMultiset(this, stream, distinctElements);
   }
 
-  @GwtIncompatible // not needed in emulated source
+  // not needed in emulated source
   private static final long serialVersionUID = 0;
 }
diff --git a/guava/src/com/google/common/collect/LinkedListMultimap.java b/guava/src/com/google/common/collect/LinkedListMultimap.java
index a557870..6e19998 100644
--- a/guava/src/com/google/common/collect/LinkedListMultimap.java
+++ b/guava/src/com/google/common/collect/LinkedListMultimap.java
@@ -20,12 +20,7 @@ import static com.google.common.base.Preconditions.checkNotNull;
 import static com.google.common.base.Preconditions.checkPositionIndex;
 import static com.google.common.base.Preconditions.checkState;
 import static java.util.Collections.unmodifiableList;
-import static java.util.Objects.requireNonNull;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
-import com.google.j2objc.annotations.WeakOuter;
 import java.io.IOException;
 import java.io.ObjectInputStream;
 import java.io.ObjectOutputStream;
@@ -42,7 +37,6 @@ import java.util.NoSuchElementException;
 import java.util.Set;
 import java.util.function.Consumer;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * An implementation of {@code ListMultimap} that supports deterministic iteration order for both
@@ -96,9 +90,8 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Mike Bostock
  * @since 2.0
  */
-@GwtCompatible(serializable = true, emulated = true)
 @ElementTypesAreNonnullByDefault
-public class LinkedListMultimap<K extends @Nullable Object, V extends @Nullable Object>
+public class LinkedListMultimap<K extends Object, V extends Object>
     extends AbstractMultimap<K, V> implements ListMultimap<K, V>, Serializable {
   /*
    * Order is maintained using a linked list containing all key-value pairs. In
@@ -107,7 +100,7 @@ public class LinkedListMultimap<K extends @Nullable Object, V extends @Nullable
    * ValueForKeyIterator} in constant time.
    */
 
-  private static final class Node<K extends @Nullable Object, V extends @Nullable Object>
+  private static final class Node<K extends Object, V extends Object>
       extends AbstractMapEntry<K, V> {
     @ParametricNullness final K key;
     @ParametricNullness V value;
@@ -142,7 +135,7 @@ public class LinkedListMultimap<K extends @Nullable Object, V extends @Nullable
     }
   }
 
-  private static class KeyList<K extends @Nullable Object, V extends @Nullable Object> {
+  private static class KeyList<K extends Object, V extends Object> {
     Node<K, V> head;
     Node<K, V> tail;
     int count;
@@ -169,7 +162,7 @@ public class LinkedListMultimap<K extends @Nullable Object, V extends @Nullable
   private transient int modCount;
 
   /** Creates a new, empty {@code LinkedListMultimap} with the default initial capacity. */
-  public static <K extends @Nullable Object, V extends @Nullable Object>
+  public static <K extends Object, V extends Object>
       LinkedListMultimap<K, V> create() {
     return new LinkedListMultimap<>();
   }
@@ -181,7 +174,7 @@ public class LinkedListMultimap<K extends @Nullable Object, V extends @Nullable
    * @param expectedKeys the expected number of distinct keys
    * @throws IllegalArgumentException if {@code expectedKeys} is negative
    */
-  public static <K extends @Nullable Object, V extends @Nullable Object>
+  public static <K extends Object, V extends Object>
       LinkedListMultimap<K, V> create(int expectedKeys) {
     return new LinkedListMultimap<>(expectedKeys);
   }
@@ -193,7 +186,7 @@ public class LinkedListMultimap<K extends @Nullable Object, V extends @Nullable
    *
    * @param multimap the multimap whose contents are copied to this multimap
    */
-  public static <K extends @Nullable Object, V extends @Nullable Object>
+  public static <K extends Object, V extends Object>
       LinkedListMultimap<K, V> create(Multimap<? extends K, ? extends V> multimap) {
     return new LinkedListMultimap<>(multimap);
   }
@@ -216,7 +209,6 @@ public class LinkedListMultimap<K extends @Nullable Object, V extends @Nullable
    * element, or at the end of the list if {@code nextSibling} is null. Note: if {@code nextSibling}
    * is specified, it MUST be for an node for the same {@code key}!
    */
-  @CanIgnoreReturnValue
   private Node<K, V> addNode(
       @ParametricNullness K key,
       @ParametricNullness V value,
@@ -360,7 +352,6 @@ public class LinkedListMultimap<K extends @Nullable Object, V extends @Nullable
       return next != null;
     }
 
-    @CanIgnoreReturnValue
     @Override
     public Node<K, V> next() {
       checkForConcurrentModification();
@@ -394,7 +385,6 @@ public class LinkedListMultimap<K extends @Nullable Object, V extends @Nullable
       return previous != null;
     }
 
-    @CanIgnoreReturnValue
     @Override
     public Node<K, V> previous() {
       checkForConcurrentModification();
@@ -525,7 +515,6 @@ public class LinkedListMultimap<K extends @Nullable Object, V extends @Nullable
       return next != null;
     }
 
-    @CanIgnoreReturnValue
     @Override
     @ParametricNullness
     public V next() {
@@ -543,7 +532,6 @@ public class LinkedListMultimap<K extends @Nullable Object, V extends @Nullable
       return previous != null;
     }
 
-    @CanIgnoreReturnValue
     @Override
     @ParametricNullness
     public V previous() {
@@ -624,7 +612,6 @@ public class LinkedListMultimap<K extends @Nullable Object, V extends @Nullable
    * @param value value to store in the multimap
    * @return {@code true} always
    */
-  @CanIgnoreReturnValue
   @Override
   public boolean put(@ParametricNullness K key, @ParametricNullness V value) {
     addNode(key, value, null);
@@ -641,7 +628,6 @@ public class LinkedListMultimap<K extends @Nullable Object, V extends @Nullable
    *
    * <p>The returned list is immutable and implements {@link java.util.RandomAccess}.
    */
-  @CanIgnoreReturnValue
   @Override
   public List<V> replaceValues(@ParametricNullness K key, Iterable<? extends V> values) {
     List<V> oldValues = getCopy(key);
@@ -677,7 +663,6 @@ public class LinkedListMultimap<K extends @Nullable Object, V extends @Nullable
    *
    * <p>The returned list is immutable and implements {@link java.util.RandomAccess}.
    */
-  @CanIgnoreReturnValue
   @Override
   public List<V> removeAll(@Nullable Object key) {
     /*
@@ -730,7 +715,6 @@ public class LinkedListMultimap<K extends @Nullable Object, V extends @Nullable
 
   @Override
   Set<K> createKeySet() {
-    @WeakOuter
     class KeySetImpl extends Sets.ImprovedAbstractSet<K> {
       @Override
       public int size() {
@@ -775,7 +759,6 @@ public class LinkedListMultimap<K extends @Nullable Object, V extends @Nullable
 
   @Override
   List<V> createValues() {
-    @WeakOuter
     class ValuesImpl extends AbstractSequentialList<V> {
       @Override
       public int size() {
@@ -825,7 +808,6 @@ public class LinkedListMultimap<K extends @Nullable Object, V extends @Nullable
 
   @Override
   List<Entry<K, V>> createEntries() {
-    @WeakOuter
     class EntriesImpl extends AbstractSequentialList<Entry<K, V>> {
       @Override
       public int size() {
@@ -863,7 +845,7 @@ public class LinkedListMultimap<K extends @Nullable Object, V extends @Nullable
    *     number of values for that key, and the key's values, followed by successive keys and values
    *     from the entries() ordering
    */
-  @GwtIncompatible // java.io.ObjectOutputStream
+  // java.io.ObjectOutputStream
   private void writeObject(ObjectOutputStream stream) throws IOException {
     stream.defaultWriteObject();
     stream.writeInt(size());
@@ -873,7 +855,7 @@ public class LinkedListMultimap<K extends @Nullable Object, V extends @Nullable
     }
   }
 
-  @GwtIncompatible // java.io.ObjectInputStream
+  // java.io.ObjectInputStream
   private void readObject(ObjectInputStream stream) throws IOException, ClassNotFoundException {
     stream.defaultReadObject();
     keyToKeyList = Maps.newLinkedHashMap();
@@ -887,6 +869,6 @@ public class LinkedListMultimap<K extends @Nullable Object, V extends @Nullable
     }
   }
 
-  @GwtIncompatible // java serialization not supported
+  // java serialization not supported
   private static final long serialVersionUID = 0;
 }
diff --git a/guava/src/com/google/common/collect/ListMultimap.java b/guava/src/com/google/common/collect/ListMultimap.java
index 1686068..117c3bc 100644
--- a/guava/src/com/google/common/collect/ListMultimap.java
+++ b/guava/src/com/google/common/collect/ListMultimap.java
@@ -16,13 +16,10 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.util.Collection;
 import java.util.List;
 import java.util.Map;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A {@code Multimap} that can hold duplicate key-value pairs and that maintains the insertion
@@ -40,9 +37,8 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Jared Levy
  * @since 2.0
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
-public interface ListMultimap<K extends @Nullable Object, V extends @Nullable Object>
+public interface ListMultimap<K extends Object, V extends Object>
     extends Multimap<K, V> {
   /**
    * {@inheritDoc}
@@ -61,7 +57,6 @@ public interface ListMultimap<K extends @Nullable Object, V extends @Nullable Ob
    * this method returns a {@link List}, instead of the {@link java.util.Collection} specified in
    * the {@link Multimap} interface.
    */
-  @CanIgnoreReturnValue
   @Override
   List<V> removeAll(@CheckForNull Object key);
 
@@ -72,7 +67,6 @@ public interface ListMultimap<K extends @Nullable Object, V extends @Nullable Ob
    * this method returns a {@link List}, instead of the {@link java.util.Collection} specified in
    * the {@link Multimap} interface.
    */
-  @CanIgnoreReturnValue
   @Override
   List<V> replaceValues(@ParametricNullness K key, Iterable<? extends V> values);
 
